#include "SerialPort.h"
#include <conio.h>
#include <stdio.h>
#include <time.h>

#define MAX_LENGTH 1
#define LEFT 4
#define RIGHT 6
#define FW 8
#define BW 5
#define LEFT_ARROW 75
#define RIGHT_ARROW 77
#define UP_ARROW 72
#define DOWN_ARROW 80
#define STOP_KEY 13
#define STOP_CAR 32

int main() { 
	unsigned char send_buf[MAX_LENGTH];
	int key;

	SerialPort* serial = new SerialPort();
	serial->connect("COM6");
 
    while(1) {
		Sleep(100);
		while (kbhit()) {
			key = getch();   
			if (key == 0) 
				key = getch();
			if (key == LEFT_ARROW) {
				 printf("Left\n");
				 send_buf[0] = LEFT;
				 serial->sendArray(send_buf, MAX_LENGTH);
			}
			else if (key == UP_ARROW) {
				  printf("FW\n");
				  send_buf[0] = FW;
				  serial->sendArray(send_buf, MAX_LENGTH);
			}

			else if (key == RIGHT_ARROW) {
				 printf("Right\n");
				 send_buf[0] = RIGHT;
				 serial->sendArray(send_buf, MAX_LENGTH);
			}
			else if (key == DOWN_ARROW) {
				 printf("Down\n");
				 send_buf[0] = BW;
				 serial->sendArray(send_buf, MAX_LENGTH);
			}
			else if (key == STOP_KEY) {
				printf("STOP\n");
				 send_buf[0] = STOP_CAR;
				 serial->sendArray(send_buf, MAX_LENGTH);
			}
		} 
	}
	
	serial->clear();
	serial->disconnect();
	return 0;
}